package com.sd.business.service.order;

import com.sd.business.entity.order.po.OrderProofingRegistration;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.vo.OrderProofingRegistrationVo;
import com.sd.business.entity.order.dto.OrderProofingRegistrationSelectDto;
import com.sd.business.entity.order.dto.OrderProofingRegistrationDto;

/**
 * <p>
 * 订单打样登记 服务类
 * </p>
 *
 * @author 
 * @since 2023-12-19
 */
public interface OrderProofingRegistrationService extends BaseService<OrderProofingRegistration> {

    /**
     * 订单打样登记分页
     */
    Page<OrderProofingRegistrationVo> getPage(OrderProofingRegistrationSelectDto dto);

    /**
     * 订单打样登记新增
     */
    void add(OrderProofingRegistrationDto dto);

    /**
     * 订单打样登记编辑
     */
    void edit(OrderProofingRegistrationDto dto);

    /**
     * 订单打样登记删除
     */
    void delete(Long id);
}
