package com.sd.business.entity.purchase.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采购退货导入入参实体
 *
 * @author
 * @since 2023-12-19
 */
@Getter
@Setter
public class PurchaseReturnImportDataDto {

    /**
     * 采购合同编号-PUR
     */
    @ExcelProperty("备注")
    private String purchaseCode;

    /**
     * bom规格编码
     */
    @ExcelProperty("品号")
    private String bomSpecCode;

    /**
     * 退货数量
     */
    @ExcelProperty("数量")
    private BigDecimal quantity;
}
