package com.sd.business.mapper.inventory;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.inventory.po.InventoryFinishedTemporaryDetail;
import com.sd.business.entity.inventory.vo.InventoryFinishedTemporaryDetailVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 成品暂存仓库操作记录 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-11-15
 */
public interface InventoryFinishedTemporaryDetailMapper extends BaseMapper<InventoryFinishedTemporaryDetail> {

    /**
     * 分页
     * @param page
     * @param wrapper
     * @return
     */
    Page<InventoryFinishedTemporaryDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InventoryFinishedTemporaryDetail> wrapper);

}
